The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete the PCAP File Captured

Prev Next

This URL deletes the captured PCAP file.

Resource URL

DELETE /sensor/<sensor_id>/packetcapturepcapfile

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

fileName

PCAP file name

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Status returned

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/sensor/1001/packetcapturepcapfile

Payload

{
	"fileName": "capture_Mon_Aug_18_16_12_49_IST_2014.pcap"
}

Response

{
"status": 1
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

500

1124

The Sensor is inactive

3

400

6201

Packet capture not supported on this Sensor

4

400

1001

Invalid PCAP file. Could not be deleted